Archived:How Can I Add CANopen LabVIEW Library Support for a New Version of LabVIEW?

Updated Feb 8, 2018

National Instruments does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Software

  • LabVIEW
  • CANopen Library Toolkit

Driver

  • NI-CAN
  • NI-XNET

Programming Language

  • LabVIEW G

Issue Details

I would like to install NI CANopen LabVIEW Library support for a new version of LabVIEW that has been released, but the installer does not give me the option to do this. Even though a newer version of LabVIEW is not officially supported, is there a way to get around this problem until support is offered with a new release of CANopen LabVIEW Library?

Solution

The NI CANopen LabVIEW Library is not recommended for new designs.  NI recommends using the NI-Industrial Communications for CANopen Driver with the NI 9881, PCI-8531, or PXI-8531 hardware.

To install NI CANopen LabVIEW Library support for a new version of LabVIEW that is not yet supported by the installer, follow these instructions: 
  1. Ensure that you have the latest version of NI CANopen LabVIEW Library, available from the National Instruments product page linked at the end of this document.
  2. Run the NI CANopen LabVIEW Library installer, and choose to install support for the latest version of LabVIEW in the installation tree.
  3. Once the installation is complete, copy the following folders from the LabVIEW XXXX directory to the newer LabVIEW directory.
    • LabVIEW\examples\CANopen
    • LabVIEW\help\lvcanopenvhelp.chm
    • LabVIEW\help\lvcanopenvhelp.txt
    • LabVIEW\user.lib\CANopen
  4. Run the new version of LabVIEW. The CANopen LabVIEW Library should now be present in the Functions palette under User Libraries»CANopen.
Note: You may need to restart your computer after the installation, close LabVIEW and reopen it to complete the placement of the CANopen LabVIEW Library.

WAS THIS ARTICLE HELPFUL?

Not Helpful